<?php

/*
 * @version		$Id: view.html.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
if(!defined('DS')) { define('DS',DIRECTORY_SEPARATOR); }

// Import Joomla! libraries
jimport( 'joomla.application.component.view');


class HdwplayerViewCategory extends JViewLegacy {

    function display($tpl = null) {
	    $model      = $this->getModel();
		
        $datas      = $model->getcategory();
        $this->datas = $datas;
		//$this->assignRef('datas', $datas);
		
		$pagination = $model->getpagination();
		//$this->assignRef('pagination', $pagination);
		$this->pagination = $pagination;
		
		$lists      = $model->getlists();
		//$this->assignRef('lists', $lists);
		$this->lists = $lists;
		
		JSubMenuHelper::addEntry(JText::_('Dashboard'), 'index.php?option=com_hdwplayer');
		JSubMenuHelper::addEntry(JText::_('Settings'), 'index.php?option=com_hdwplayer&task=settings');
		JSubMenuHelper::addEntry(JText::_('Skin'), 'index.php?option=com_hdwplayer&task=skin');
		JSubMenuHelper::addEntry(JText::_('Videos'), 'index.php?option=com_hdwplayer&task=videos');
		JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_hdwplayer&task=category', true);
		JSubMenuHelper::addEntry(JText::_('Google Adsense'), 'index.php?option=com_hdwplayer&task=googleads');
		JToolBarHelper::title(JText::_('hdwplayer'), 'hdwplayer');
		JToolBarHelper::publishList();
        JToolBarHelper::unpublishList();
        JToolBarHelper::deleteList('', 'deletecategory');
        JToolBarHelper::editList('editcategory');
        JToolBarHelper::addNew('addcategory');
		
		$help =  JToolBar::getInstance('toolbar');
		$help->appendButton( 'Popup', 'help', 'help', 'http://hdwebplayer.com/?q=joomla-category', 900, 500 );
		
        parent::display($tpl);
    }
	
	function edit($tpl = null) {
	    $model = $this->getModel();
		
        $datas = $model->getrow();
		//$this->assignRef('datas', $datas);
		$this->datas = $datas;
		
		JSubMenuHelper::addEntry(JText::_('Dashboard'), 'index.php?option=com_hdwplayer');
		JSubMenuHelper::addEntry(JText::_('Settings'), 'index.php?option=com_hdwplayer&task=settings');
		JSubMenuHelper::addEntry(JText::_('Skin'), 'index.php?option=com_hdwplayer&task=skin');
		JSubMenuHelper::addEntry(JText::_('Videos'), 'index.php?option=com_hdwplayer&task=videos');
		JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_hdwplayer&task=category', true);
		JSubMenuHelper::addEntry(JText::_('Google Adsense'), 'index.php?option=com_hdwplayer&task=googleads');
		JToolBarHelper::title(JText::_('hdwplayer'), 'hdwplayer');
        JToolBarHelper::save('savecategory', 'Save');
        JToolBarHelper::apply('applycategory', 'Apply');
        JToolBarHelper::cancel('cancelcategory');
		
		$help =  JToolBar::getInstance('toolbar');
		$help->appendButton( 'Popup', 'help', 'help', 'http://hdwebplayer.com/?q=joomla-category', 900, 500 );
		
        parent::display($tpl);
    }
	function add($tpl = null) {
	    $model = $this->getModel();
		
        
		
		JSubMenuHelper::addEntry(JText::_('Dashboard'), 'index.php?option=com_hdwplayer');
		JSubMenuHelper::addEntry(JText::_('Settings'), 'index.php?option=com_hdwplayer&task=settings');
		JSubMenuHelper::addEntry(JText::_('Skin'), 'index.php?option=com_hdwplayer&task=skin');
		JSubMenuHelper::addEntry(JText::_('Videos'), 'index.php?option=com_hdwplayer&task=videos');
		JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_hdwplayer&task=category', true);
		JSubMenuHelper::addEntry(JText::_('Google Adsense'), 'index.php?option=com_hdwplayer&task=googleads');
		JToolBarHelper::title(JText::_('hdwplayer'), 'hdwplayer');
        JToolBarHelper::save('savecategory', 'Save');
        JToolBarHelper::apply('applycategory', 'Apply');
        JToolBarHelper::cancel('cancelcategory');
		
		$help =  JToolBar::getInstance('toolbar');
		$help->appendButton( 'Popup', 'help', 'help', 'http://hdwebplayer.com/?q=joomla-category', 900, 500 );
		
        parent::display($tpl);
    }
	
}

?>